MONGOC_GRIDFS_FIND_ONE_BY_FILENAME(3)

NAME
mongoc_gridfs_find_one_by_filename() - Finds the first file matching the filename specified. If no file could be found, NULL is returned and error is set.

SYNOPSIS

mongoc_gridfs_file_t *
mongoc_gridfs_find_one_by_filename (mongoc_gridfs_t *gridfs,
                                    const char      *filename,
                                    bson_error_t    *error);

PARAMETERS

gridfs
    A mongoc_gridfs_t \&.

filename
    A UTF-8 encoded string containing the filename.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

Finds the first file matching the filename specified. If no file could be found, NULL is returned and error is set.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns a newly allocated mongoc_gridfs_file_t if successful, otherwise NULL and error is set. You must free the resulting file with mongoc_gridfs_file_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.